### Method

# Clutter BindingPool install_closure

#### Declaration [src]

    void
    clutter_binding_pool_install_closure (
      ClutterBindingPool* pool,
      const gchar* action_name,
      guint key_val,
      ClutterModifierType modifiers,
      GClosure* closure
    )

#### Description [src]

A `GClosure` variant of `clutter_binding_pool_install_action()`.

Installs a new action inside a `ClutterBindingPool`. The action is bound to `key_val` and `modifiers`.

The same action name can be used for multiple `key_val`, `modifiers` pairs.

When an action has been activated using `clutter_binding_pool_activate()` the passed `closure` will be invoked.

Actions can be blocked with `clutter_binding_pool_block_action()` and then unblocked using `clutter_binding_pool_unblock_action()`.

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of the action.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key_val`

  Type: `guint`

  Key symbol.

`modifiers`

  Type: `ClutterModifierType`

  Bitmask of modifiers.

`closure`

  Type: `GClosure`

  A `GClosure`.

  The data is owned by the caller of the method.